Bug 1286303 - npm 1.4+ required for building atom editor
npm 1.4+ required for building atom editor
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: npm (Show other bugs)
22
All Linux
unspecified Severity high
: ---
: ---
Assigned To: T.C. Hollingsworth
Stephen Gallagher
:
Depends On: 1254841
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-27 17:58 EST by Mohammed Safwat
Modified: 2016-07-19 15:22 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 15:22:50 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mohammed Safwat 2015-11-27 17:58:39 EST
Description of problem:
I'm a fedora packager and I'm currently trying to create a package for atom editor https://atom.io/. While trying to build atom I get the following error

npm v1.4+ is required to build Atom. Version 1.3.6 was detected.

Version-Release number of selected component (if applicable):
1.3.6-6

How reproducible:
Just follow the instructions at https://github.com/atom/atom/blob/v1.2.4/docs/build-instructions/linux.md after downloading the source package from https://github.com/atom/atom/archive/v1.2.4.tar.gz.

Actual results:
npm v1.4+ is required to build Atom. Version 1.3.6 was detected.

Expected results:
Atom builds successfully.
Comment 1 Zuzana Svetlikova 2015-12-03 08:25:43 EST
You can still do 'npm i npm@1 -g'. 'npm i npm -g' won't work.
Comment 2 Mohammed Safwat 2015-12-08 12:41:20 EST
@Zuzana: I've tried both commands, and both failed with the -g option. In fact without the -g option both succeed.

Although technically correct, this approach isn't valid for building an RPM inside %build section of the spec file. Running npm self update commands with the -g option will alter the system files for the npm package. i.e. I'll be modifying some files belonging to another package(npm) as part of building atom. This isn't harmful for end users, but I'm not sure of its effect on build servers.

Considering the local install approach(without -g), I'm not sure if I can instruct atom build process to use the newly updated local npm. The worst case would be to alter PATH environment variable to pick the new local npm instead of the system-wide one. However since this also involves altering an environment variable, I'm not sure I should go this way lest it has any undesirable or unforeseen side effects.
Comment 3 Mohammed Safwat 2016-01-02 11:14:33 EST
I see here http://pkgs.fedoraproject.org/cgit/nodejs.git/commit/?id=0b2b9b17d54bd1e8ff2c23346252742da3073d41 that there's a new update underway for nodejs package to version 4.2.3, which according to https://nodejs.org/en/download/releases/ will include a new version for npm(2.14.7). I guess I'll wait till the new nodejs package hits the repos(as even the new package isn't published to rawhide at the moment) and then I'll look if it resolves the npm blocking dependency for atom.
Comment 4 Fedora End Of Life 2016-07-19 15:22:50 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.